Crystal Space: iSndSysManager Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysManager Struct Reference
[Sound system]

This is the sound manager for Crystal Space. More...

`#include <isndsys/ss_manager.h>`

Inheritance diagram for iSndSysManager:

[legend]
List of all members.

## Public Member Functions
virtual iSndSysWrapper * | CreateSound (const char *name)=0
| Create a new sound wrapper.
virtual iSndSysWrapper * | FindSoundByName (const char *name)=0
| Find a sound wrapper by name.
virtual iSndSysWrapper * | GetSound (size_t idx)=0
| Get the specified sound.
virtual size_t | GetSoundCount () const =0
| Return the number of sounds.
virtual void | RemoveSound (size_t idx)=0
| Remove a sound wrapper by index from the sound manager.
virtual void | RemoveSound (iSndSysWrapper *snd)=0
| Remove a sound wrapper from the sound manager.
virtual void | RemoveSounds ()=0
| Remove all sound wrappers.

## Detailed Description

This is the sound manager for Crystal Space.

Its only purpose is to keep track of loaded sounds.

Definition at line 74 of file ss_manager.h.

## Member Function Documentation

virtual iSndSysWrapper* iSndSysManager::CreateSound | ( | const char * | name | ) | `[pure virtual]`

Create a new sound wrapper.

virtual iSndSysWrapper* iSndSysManager::FindSoundByName | ( | const char * | name | ) | `[pure virtual]`

Find a sound wrapper by name.

virtual iSndSysWrapper* iSndSysManager::GetSound | ( | size_t | idx | ) | `[pure virtual]`

Get the specified sound.

virtual size_t iSndSysManager::GetSoundCount | ( |  | ) | const`[pure virtual]`

Return the number of sounds.

virtual void iSndSysManager::RemoveSound | ( | size_t | idx | ) | `[pure virtual]`

Remove a sound wrapper by index from the sound manager.

virtual void iSndSysManager::RemoveSound | ( | iSndSysWrapper * | snd | ) | `[pure virtual]`

Remove a sound wrapper from the sound manager.

virtual void iSndSysManager::RemoveSounds | ( |  | ) | `[pure virtual]`

Remove all sound wrappers.

The documentation for this struct was generated from the following file:

- isndsys/ss_manager.h